package com.ruoyi.system.domain.visit.dr;

import java.io.Serializable;

public class VisitDrTask implements Serializable {
    private String id;

    private String ruleId;

    private String groupNum;

    private String createTime;

    private String createBy;

    private String checkTime;

    private String isValid;

    private String isCheck;

    private String extfieldOne;

    private String extfieldTwo;

    private String extfieldThree;

    private String extfieldFour;

    private String extfieldFive;

    private String extfieldSix;

    private String extfieldSeven;

    private String extfieldEight;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getRuleId() {
        return ruleId;
    }

    public void setRuleId(String ruleId) {
        this.ruleId = ruleId;
    }

    public String getGroupNum() {
        return groupNum;
    }

    public void setGroupNum(String groupNum) {
        this.groupNum = groupNum;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(String checkTime) {
        this.checkTime = checkTime;
    }

    public String getIsValid() {
        return isValid;
    }

    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    public String getIsCheck() {
        return isCheck;
    }

    public void setIsCheck(String isCheck) {
        this.isCheck = isCheck;
    }

    public String getExtfieldOne() {
        return extfieldOne;
    }

    public void setExtfieldOne(String extfieldOne) {
        this.extfieldOne = extfieldOne;
    }

    public String getExtfieldTwo() {
        return extfieldTwo;
    }

    public void setExtfieldTwo(String extfieldTwo) {
        this.extfieldTwo = extfieldTwo;
    }

    public String getExtfieldThree() {
        return extfieldThree;
    }

    public void setExtfieldThree(String extfieldThree) {
        this.extfieldThree = extfieldThree;
    }

    public String getExtfieldFour() {
        return extfieldFour;
    }

    public void setExtfieldFour(String extfieldFour) {
        this.extfieldFour = extfieldFour;
    }

    public String getExtfieldFive() {
        return extfieldFive;
    }

    public void setExtfieldFive(String extfieldFive) {
        this.extfieldFive = extfieldFive;
    }

    public String getExtfieldSix() {
        return extfieldSix;
    }

    public void setExtfieldSix(String extfieldSix) {
        this.extfieldSix = extfieldSix;
    }

    public String getExtfieldSeven() {
        return extfieldSeven;
    }

    public void setExtfieldSeven(String extfieldSeven) {
        this.extfieldSeven = extfieldSeven;
    }

    public String getExtfieldEight() {
        return extfieldEight;
    }

    public void setExtfieldEight(String extfieldEight) {
        this.extfieldEight = extfieldEight;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", ruleId=").append(ruleId);
        sb.append(", groupNum=").append(groupNum);
        sb.append(", createTime=").append(createTime);
        sb.append(", createBy=").append(createBy);
        sb.append(", checkTime=").append(checkTime);
        sb.append(", isValid=").append(isValid);
        sb.append(", isCheck=").append(isCheck);
        sb.append(", extfieldOne=").append(extfieldOne);
        sb.append(", extfieldTwo=").append(extfieldTwo);
        sb.append(", extfieldThree=").append(extfieldThree);
        sb.append(", extfieldFour=").append(extfieldFour);
        sb.append(", extfieldFive=").append(extfieldFive);
        sb.append(", extfieldSix=").append(extfieldSix);
        sb.append(", extfieldSeven=").append(extfieldSeven);
        sb.append(", extfieldEight=").append(extfieldEight);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        VisitDrTask other = (VisitDrTask) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getRuleId() == null ? other.getRuleId() == null : this.getRuleId().equals(other.getRuleId()))
            && (this.getGroupNum() == null ? other.getGroupNum() == null : this.getGroupNum().equals(other.getGroupNum()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getCreateBy() == null ? other.getCreateBy() == null : this.getCreateBy().equals(other.getCreateBy()))
            && (this.getCheckTime() == null ? other.getCheckTime() == null : this.getCheckTime().equals(other.getCheckTime()))
            && (this.getIsValid() == null ? other.getIsValid() == null : this.getIsValid().equals(other.getIsValid()))
            && (this.getIsCheck() == null ? other.getIsCheck() == null : this.getIsCheck().equals(other.getIsCheck()))
            && (this.getExtfieldOne() == null ? other.getExtfieldOne() == null : this.getExtfieldOne().equals(other.getExtfieldOne()))
            && (this.getExtfieldTwo() == null ? other.getExtfieldTwo() == null : this.getExtfieldTwo().equals(other.getExtfieldTwo()))
            && (this.getExtfieldThree() == null ? other.getExtfieldThree() == null : this.getExtfieldThree().equals(other.getExtfieldThree()))
            && (this.getExtfieldFour() == null ? other.getExtfieldFour() == null : this.getExtfieldFour().equals(other.getExtfieldFour()))
            && (this.getExtfieldFive() == null ? other.getExtfieldFive() == null : this.getExtfieldFive().equals(other.getExtfieldFive()))
            && (this.getExtfieldSix() == null ? other.getExtfieldSix() == null : this.getExtfieldSix().equals(other.getExtfieldSix()))
            && (this.getExtfieldSeven() == null ? other.getExtfieldSeven() == null : this.getExtfieldSeven().equals(other.getExtfieldSeven()))
            && (this.getExtfieldEight() == null ? other.getExtfieldEight() == null : this.getExtfieldEight().equals(other.getExtfieldEight()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getRuleId() == null) ? 0 : getRuleId().hashCode());
        result = prime * result + ((getGroupNum() == null) ? 0 : getGroupNum().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getCreateBy() == null) ? 0 : getCreateBy().hashCode());
        result = prime * result + ((getCheckTime() == null) ? 0 : getCheckTime().hashCode());
        result = prime * result + ((getIsValid() == null) ? 0 : getIsValid().hashCode());
        result = prime * result + ((getIsCheck() == null) ? 0 : getIsCheck().hashCode());
        result = prime * result + ((getExtfieldOne() == null) ? 0 : getExtfieldOne().hashCode());
        result = prime * result + ((getExtfieldTwo() == null) ? 0 : getExtfieldTwo().hashCode());
        result = prime * result + ((getExtfieldThree() == null) ? 0 : getExtfieldThree().hashCode());
        result = prime * result + ((getExtfieldFour() == null) ? 0 : getExtfieldFour().hashCode());
        result = prime * result + ((getExtfieldFive() == null) ? 0 : getExtfieldFive().hashCode());
        result = prime * result + ((getExtfieldSix() == null) ? 0 : getExtfieldSix().hashCode());
        result = prime * result + ((getExtfieldSeven() == null) ? 0 : getExtfieldSeven().hashCode());
        result = prime * result + ((getExtfieldEight() == null) ? 0 : getExtfieldEight().hashCode());
        return result;
    }
}